# $Revision: 1.22 $, $Date: 2011/08/31 18:30:46 $
Summary:	A console application which monitors network traffic and bandwidth usage in real time
Summary(pl.UTF-8):	Konsolowa aplikacja monitorująca ruch w sieci w czasie rzeczywistym
Name:		nload
Version:	0.7.2
Release:	2
License:	GPL v2
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/nload/%{name}-%{version}.tar.gz
# Source0-md5:	5b851ecf898edcd1f465946745e95eb6
Patch0:		%{name}-form_field_h.patch
Patch1:		%{name}-ncurses.patch
URL:		http://www.roland-riegel.de/nload/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-ext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nload is a console application which monitors network traffic and
bandwidth usage in real time. It visualizes the in- and outgoing
traffic using two graphs and provides additionally info like total
amount of transfered data and min/max network usage.

%description -l pl.UTF-8
nload jest konsolową aplikacją monitorującą w czasie rzeczywistym ruch
pakietów i obciążenie sieci. Obrazuje ruch z i do za pomocą dwóch
wykresów i udostępnia dodatkowe informacje takie jak całkowita ilość
przesłanych danych oraz minimalne/maksymalne wykorzystanie pasma.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -I/usr/include/ncurses"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nload.spec,v $
Revision 1.22  2011/08/31 18:30:46  arekm
- release 2

Revision 1.21  2008/10/11 13:39:58  duddits
- up to 0.7.2
- patch fixing ncurses paths added
- form_field_h.patch updated

Revision 1.20  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.18  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.17  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.16  2004/01/02 14:49:20  eothane
- autoupdated to 0.6.0

Revision 1.15  2003/09/29 21:20:55  adamg
- updated to 0.5.0, removed obsolete patches, added form_field_h patch

Revision 1.14  2003/05/28 12:59:54  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:51:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.11  2002/11/27 22:06:24  juandon
- new %%doc

Revision 1.10  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/05/21 23:14:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/07 10:07:01  kloczek
- updated to 0.4.0 (bugfixes akd porting to other systems fixes),
- added am_fixes, acconfig.h patches.

Revision 1.4  2001/10/21 09:20:19  kloczek
- added libstdc++-devel to BuildRequires.

Revision 1.3  2001/10/21 09:19:26  kloczek
- added BuildRequires rules,
- added using %%configure macro,
- added -fno-rtti -fno-exceptions to CXXFLAGS.

Revision 1.2  2001/10/21 07:16:43  orzech
- added docs to %%files

Revision 1.1  2001/10/21 07:07:12  orzech
- new
